Bug 53167 - mis-detects video memory during GUI install
mis-detects video memory during GUI install
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-04 16:09 EDT by Chris Ricker
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-05 17:54:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Ricker 2001-09-04 16:09:53 EDT
On a machine with a Riva TNT2 (16 megs), anaconda reports that the card has
4 megs.

However, XFree86 4.1 correctly detects 16 megs after the install finishes
and the system is up
Comment 1 Jeremy Katz 2001-09-04 17:37:09 EDT
I seem to remember that the TNT2 hasn't ever ddcprobed correctly.  Dr Mike?
Comment 2 Michael Fulbright 2001-09-05 14:48:27 EDT
Could you please run /sbin/ddcprobe on this card and see what it returns? I
would not be surprised if it is misdetected.
Comment 3 Chris Ricker 2001-09-05 17:54:37 EDT
You're right, ddcprobe is broken on this card:

[root@shaka root]# /usr/sbin/ddcprobe 
VESA 3.0 detected.
OEM Name: NVidia
Vendor Name: NVidia
Product Name: Riva TNT
Product Revision: A5
Memory installed = 64 * 64k blocks = 4096kb
Supported standard modes:
        640x400x256
        640x480x256
        800x600x16
        800x600x256
        1024x768x16
        1024x768x256
        1280x1024x16
        1280x1024x256
        80x60 (text)
        132x25 (text)
        132x43 (text)
        132x50 (text)
        132x60 (text)
        320x200x64k
        320x200x16m
        640x480x64k
        640x480x16m
        800x600x64k
        800x600x16m
        1024x768x64k
        1024x768x16m
        1280x1024x64k
<snip monitor stuff>
Comment 4 Jeremy Katz 2001-09-05 19:51:02 EDT
We don't have a CANTFIX, so WONTFIX will have to do.  Video cards that don't
report the information correctly shouldn't be made :(

Note You need to log in before you can comment on or make changes to this bug.